package com.xhpc.order.mapper;

import com.xhpc.order.domain.XhpcPileRegularInspect;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface XhpcPileRegularInspectMapper {

    Map<String,Object> getPileRegularInspectTenantId(@Param("tenantId")String tenantId);

    int insertPileRegularInspect(XhpcPileRegularInspect xhpcPileRegularInspect);

    int updatePileRegularInspect(XhpcPileRegularInspect xhpcPileRegularInspect);

    List<Map<String,Object>> verificationPileRepeat();

    //查询这个时间有没有更新
    int getPileRegularInspect(@Param("time")String time,@Param("type")Integer type);

    //
    List<Map<String,Object>> getPileSerialNumber();
}
